import { ReactElement } from "react";
interface User {
    firstName: string;
    lastName: string;
    impersonate: boolean;
}
interface NerdImpersonateProps {
    user: User;
    onStopImpersonate?: () => void;
}
/**
 * @param {NerdImpersonateProps} props props
 * @returns {ReactElement} Button to stop impersonate a user. Should be placed in the NerdAppBar configuration
 */
export declare function NerdImpersonate(props: NerdImpersonateProps): ReactElement | null;
export {};
