import { GridRenderEditCellParams } from "@mui/x-data-grid-premium";
import { MutableRefObject, ReactElement } from "react";
import { NerdCurrencyFieldProps } from "./nerdCurrencyField";
import { GridApiPremium } from "@mui/x-data-grid-premium/models/gridApiPremium";
/**
 *
 * @param {object} props Component props
 * @param {GridRenderEditCellParams} props.cellParams Cell Params
 * @param {MutableRefObject<GridApiPro>} props.apiRef Mui DataGrid ApiRef
 * @param {NerdCurrencyFieldProps} props.nerdCurrencyFieldProps NerdCurrencyFieldProps
 * @returns {ReactElement} NerdCurrencyFieldDataGridAdapter
 */
export declare function NerdCurrencyFieldDataGridAdapter(props: {
    cellParams: GridRenderEditCellParams;
    apiRef: MutableRefObject<GridApiPremium>;
    nerdCurrencyFieldProps?: NerdCurrencyFieldProps;
}): ReactElement;
